Download it now!
Bug 124205 - [LOCALHELP] Help page for FOURIER function
Summary: [LOCALHELP] Help page for FOURIER function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2019-03-19 12:39 UTC by Olivier Hallot
Modified: 2019-08-15 13:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2019-03-19 12:39:50 UTC
As seen in 6.3 release notes

------------8<----------------

FOURIER() function

FOURIER(Array, GroupedByColumns, Inverse, Polar) is a matrix formula that computes discrete Fourier transform [DFT] of input array (first argument) via a radix-2, decimation-in-time fast Fourier transform algorithm. tdf#74664 (Dennis Francis)

The data in input array(first argument) can be:

    grouped by columns (needs to be indicated by flag GroupedByColumns = TRUE). In this case the array can contain 1 or 2 columns, where the first column contains the real part of input series and second column if present contains the imaginary part of the input series. If there is only 1 column, the input series is treated as purely real. If the number of rows is not a power of 2, zeroes are appended to the input series internally to make the series length equal to the next nearest power of 2.
    grouped by rows (needs to be indicated by flag GroupedByColumns = FALSE). In this case the array can contain 1 or 2 rows, where the first row contains the real part of input series and second row if present contains the imaginary part of the input series. If there is only 1 row, the input series is treated as purely real. If the number of columns is not a power of 2, zeroes are appended to the input series internally to make the series length equal to the next nearest power of 2.

The third argument "Inverse" is a boolean flag to indicate whether an inverse DFT needs to be computed. This argument is optional and the default value is FALSE.

The fourth argument Polar is a boolean flag to indicate whether the final output needs to be in polar coordinates. This argument is optional and the default value is FALSE.

The result of DFT consists of two columns - first column contains the real parts (or the magnitudes if Polar=TRUE) and second column contains the imaginary parts (or the phases if Polar=TRUE).


------------8<----------------
Comment 1 Xisco Faulí 2019-03-20 17:45:38 UTC
Moving to NEW
Comment 2 Dennis Francis 2019-03-20 18:17:57 UTC
There has been quite a few changes to FOURIER formula since the first commit, so the description here(from release notes) is no more accurate. Further more there is one last change still pending in gerrit : https://gerrit.libreoffice.org/#/c/69471/1

I will amend the description in release notes for 6.3 after this last patch gets into master. Thanks !